ระเบียน
อ่าน สร้าง แก้ และลบระเบียนของตารางหรือฟอร์ม
การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
application/json- body
data?array<>The operations: insertOne, updateOne, deleteOne and so on.
option?The options of bulkWrite.
What the database reports.
application/json- response
@meta?The name and version of the service that answered.
data?curl -X POST "https://platform.example.com/api/item/$ITEM_ID/actions/bulkWrite" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "data": [], "option": {}}'{ "@meta": {}, "data": {}}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
application/json- body
data?array<>The Records to create: each is the values of its fields.
The ids of the new Records.
application/json- response
@meta?The name and version of the service that answered.
data?array<string>curl -X PUT "https://platform.example.com/api/item/$ITEM_ID/actions/createMany" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "data": [ { "name": "A" }, { "name": "B" } ]}'{ "@meta": {}, "data": [ "string" ]}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
application/json- body
[key: string]?anyThe id of the new Record.
application/json- response
@meta?The name and version of the service that answered.
data?stringcurl -X PUT "https://platform.example.com/api/item/$ITEM_ID/actions/crud" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "Pump station 4", "status": "open", "geometry": { "type": "Point", "coordinates": [ 100.5, 13.75 ] }}'{ "@meta": {}, "data": "string"}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
documentId*stringThe id of the Record.
The Record.
application/json- response
@meta?The name and version of the service that answered.
data?The values of the fields, by field id. A relation is { value, text }.
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/crud/$RECORD_ID" \ -H "Authorization: Bearer $TOKEN"{ "@meta": {}, "data": {}}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
documentId*stringThe id of the Record.
The Record.
application/json- response
@meta?The name and version of the service that answered.
data?The values of the fields, by field id. A relation is { value, text }.
curl -X POST "https://platform.example.com/api/item/$ITEM_ID/actions/crud/$RECORD_ID" \ -H "Authorization: Bearer $TOKEN"{ "@meta": {}, "data": {}}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
documentId*stringThe id of the Record.
The id of the Record.
application/json- response
@meta?The name and version of the service that answered.
data?stringcurl -X DELETE "https://platform.example.com/api/item/$ITEM_ID/actions/crud/$RECORD_ID" \ -H "Authorization: Bearer $TOKEN"{ "@meta": {}, "data": "string"}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
documentId*stringThe id of the Record.
application/json- body
[key: string]?anyThe id of the Record.
application/json- response
@meta?The name and version of the service that answered.
data?stringcurl -X PUT "https://platform.example.com/api/item/$ITEM_ID/actions/crud/$RECORD_ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "status": "closed"}'{ "@meta": {}, "data": "string"}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
documentId*stringThe id of the Record.
The attachments, by field id.
application/json- response
@meta?The name and version of the service that answered.
data?curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/crud/$RECORD_ID/attachments" \ -H "Authorization: Bearer $TOKEN"{ "@meta": {}, "data": {}}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
documentId*stringThe id of the Record.
attachmentId*stringThe id of the attachment.
The bytes.
response?fileapplication/octet-streambinarycurl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/crud/$RECORD_ID/attachments/$ATTACHMENT_ID" \ -H "Authorization: Bearer $TOKEN""string"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
documentId*stringThe id of the Record.
limit?unknownHow many to return.
skip?unknownHow many to skip.
The versions, newest first.
application/json- response
@meta?The name and version of the service that answered.
data?array<>curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/crud/$RECORD_ID/versions" \ -H "Authorization: Bearer $TOKEN"{ "@meta": {}, "data": [ {} ]}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
application/json- body
ids?array<string>The ids of the Records.
query?A filter, used when there is no ids.
The id of the Item.
application/json- response
@meta?The name and version of the service that answered.
data?stringcurl -X PUT "https://platform.example.com/api/item/$ITEM_ID/actions/deleteMany" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "ids": [ "RECORD_ID" ]}'{ "@meta": {}, "data": "string"}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
The id of the Item.
application/json- response
@meta?The name and version of the service that answered.
data?stringcurl -X PUT "https://platform.example.com/api/item/$ITEM_ID/actions/deleteMany/all" \ -H "Authorization: Bearer $TOKEN"{ "@meta": {}, "data": "string"}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
application/json- body
query?The filter.
data?What to change, as a MongoDB update: { "$set": { "status": "closed" } }.
What the database reports.
application/json- response
@meta?The name and version of the service that answered.
data?curl -X PUT "https://platform.example.com/api/item/$ITEM_ID/actions/updateMany" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "query": { "status": "open" }, "data": { "$set": { "status": "closed" } }}'{ "@meta": {}, "data": {}}